Subject: [bug#47155] [PATCH] gnu: Respect DataDirectoryGroupReadable option of tor.

From: Maxime Devos <[email-masked]>
Date: Sat, 27 Mar 2021 13:13:42 +0100

On Sat, 2021-03-27 at 11:06 +0000, raid5atemyhomework wrote:
> Hello Maxime,
> 
> 
> > > Note in particular that Bitcoin Core supports `ControlPort` and not `ControlSocket`, so
> > > this is needed for Bitcoin Core support. From what I can see more daemons support
> > > `ControlPort` than `ControlSocket`.
> > 
> > Ok, but take a look at
> > https://gitlab.torproject.org/legacy/trac/-/wikis/doc/bitcoin.
> > Maybe its out of date though: https://blog.torproject.org/tor-heart-cryptocurrencies
> 
> The issue is already known, and is mitigated by use of e.g. JoinMarket and Wasabi Wallet, when used with proper care to disentangle public coin addresses from your own spending.
> [...]
Ok.

>  but rather as a replacement for my lack of a public IP address --- instead of
> using a public IP address (which my ISP is much too stupid to provide to me unless I get a
> ***much*** higher tier of paid support) I use a Tor hidden service to allow other users to
> connect to my node.

Makes sense.  I know that use case, though myself I have a public IP address
at no additional cost (at least if I disable the firewall or poke holes through
it).  Probably not a static IP though.

The revised patch looks good to me, but I'm no committer.

Greetings,
Maxime.